include windows.inc
include user32.inc
include kernel32.inc
include gdi32.inc
include shell32.inc

includelib user32.lib
includelib kernel32.lib
includelib gdi32.lib
includelib shell32.lib


include \masm32\macros\macros.asm
CreateClass			PROTO
DetectHover			PROTO	:HWND,:UINT,:WPARAM,:LPARAM

;Used by RadASM 2.1.0.4
CCDEFEX struct
	ID			dd ?		;Controls uniqe ID
	lptooltip	dd ?		;Pointer to tooltip text
	hbmp		dd ?		;Handle of bitmap
	lpcaption	dd ?		;Pointer to default caption text
	lpname		dd ?		;Pointer to default id-name text
	lpclass		dd ?		;Pointer to class text
	style		dd ?		;Default style
	exstyle		dd ?		;Default ex-style
	flist1		dd ?		;Property listbox 1
	flist2		dd ?		;Property listbox 2
	flist3		dd ?		;Property listbox 3
	flist4		dd ?		;Property listbox 4
	lpproperty	dd ?		;Pointer to properties text
	lpmethod	dd ?		;Pointer to property methods descriptor
CCDEFEX ends

PROP_STYLETRUEFALSE		equ 1
;PROP_EXSTYLETRUEFALSE	equ 2
PROP_STYLEMULTI			equ 3

HL_CURSOR				equ WM_USER+1 	; wParam == cursor icon
HL_BKCOLOR				equ WM_USER+2	; wParam == Background color
HL_COLORTEXT			equ	WM_USER+3	; wParam == color no active, lParam == color active
HL_ACTIVEMOUSE			equ	WM_USER+4	; wParam == delay noactive/active in milliseconds
HL_UNACTIVEMOUSE		equ	WM_USER+5	; wParam == 0, lParam == 0
HL_FONT					equ WM_USER+6	; wParam == hFont

STYLE					equ WS_CHILD or WS_VISIBLE
EXSTYLE					equ 200h
IDB_BMP					equ 100

STYLE_0_DEG				equ 0000h
STYLE_90_DEG			equ 0001h
STYLE_180_DEG			equ 0002h
STYLE_270_DEG			equ 0003h

STYLE_LEFTTOP			equ 0000h
STYLE_CENTER			equ 0010h



EXSTYLE_NONE			equ 0


.const

szToolTip				db 'Static HyperLink',0
szCap					db 'http://www.radasm.com/',0
szName					db 'IDC_HLK',0
szClassName				db 'HYPERLINK',0

PropertyOrientation		db '0 deg.,90 deg.,180 deg.,270 deg.',0
						dd -1 xor 0003h,STYLE_0_DEG
						dd -1,EXSTYLE_NONE
						dd -1 xor 0003h,STYLE_90_DEG
						dd -1,EXSTYLE_NONE
						dd -1 xor 0003h,STYLE_180_DEG
						dd -1,EXSTYLE_NONE
						dd -1 xor 0003h,STYLE_270_DEG
						dd -1,EXSTYLE_NONE
PropertyCenter			dd -1 xor 0010h,STYLE_LEFTTOP
						dd -1 xor 0010h,STYLE_CENTER																	

Methods					dd PROP_STYLEMULTI,offset PropertyOrientation
						dd PROP_STYLETRUEFALSE,offset PropertyCenter


.data
    dlgname db "URL",0
    szOpen  db "open",0 
	szProperty				db 'Orientation,Center',0
	ccdefex					CCDEFEX <66666,offset szToolTip,0,offset szCap,offset szName,offset szClassName,STYLE,EXSTYLE,11111111000110000000000000000000b,00010000000000011000000000000000b,00000000000000000000000000000000b,00000000000000000000000000000000b,offset szProperty,offset Methods>

	fHover 			dd FALSE	
	colorbk			dd 00FF0000h
	colortext		dd 00ACFFACh
	coloractive		dd 00FFFFFFh
	colornoactive	dd 00ACFFACh
	hovertimer		dd 40
	hFinger			dd 0
	
.data?
	hInstance				dd ?
	hFont					dd ?
